# KSPAddOptionsChecker

Adds an additional function to check for KSP options.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPAddOptionsChecker(PetscErrorCode (*kspcheck)(KSP))

Not Collective

### Input Parameter

kspcheck -function that checks for options

### Keywords

KSP, add, options, checker

### See Also

KSPSetFromOptions()

Level:developer
Location: src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages